/*
 * basic markup
 */

@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,300&display=swap');

*{
	font-family: "Lato", "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "メイリオ", "Hiragino Kaku Gothic ProN", "Hiragino Sans", sans-serif;
	font-weight: 500;
	font-size: 10pt;
  -webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	-webkit-touch-callout: none;
	margin: 0;
	padding: 0;
}

html, body{
	padding: 0;
	margin: 0;
	border: 0;
	overflow-x: hidden;
}

a{
	text-decoration: none;
	background-color: transparent;
	-webkit-text-decoration-skip: objects;
	color: inherit;
}
	
a:active, a:hover {
	outline-width: 0;
}

a:hover *{
	transition: opacity 0.1s ease-out;
	opacity: 0.7;
}

/*
 * common elements
 */
.showUpObject{
	opacity: 0;
	transform: translate3d(0, 0, -30px);
}

.showUpObject.screened{
	opacity: 1;
	transform: translate3d(0, 0, 0);
	transition: transform 600ms cubic-bezier(.25,.75,.45, 1) 300ms, opacity 800ms cubic-bezier(.59,.07,.62,.43) 100ms;
}

header{
	position: fixed;
	top: 0;
	left: 0;
  width: 100vw;
	padding-top: 2vw;
	padding-bottom: 2vw;
	display: flex;
	justify-content: space-between;
	align-items: center;
	background-color: black;
	z-index: 1;
}

header > img{
	width: 40%;
	margin: 0 6vw;
	cursor: pointer;
}

/* humburger */
.humburger{
  position: absolute;
  right: 6vw;
  width: 7vw;
	height: 8vw;
	top: 50%;
	transform: translateY(-50%);
	cursor: pointer;
}

.humburger > span{
	position: absolute;
	top: 50%;
	left: 0;
	display: block;
	width: 100%;
  height: 1px;
  margin: 0;
  background-color: white;
  transition: .2s;	
}
.humburger > span:before,
.humburger > span:after{
  display: block;
  content: "";
  position: absolute;
  width: 100%;
  height: 1px;
  background-color: white;
  transition: .3s;
}

.spMenuOpen header .humburger > span:before,
.spMenuOpen header .humburger > span:after{
	background-color: white;
}

.humburger > span:before{
  margin-top: -35%;
}
.humburger > span:after{
  margin-top: 35%;
}

.spMenuOpen .humburger > span,
.spMenuOpen header.black .humburger > span{
	background: transparent;
}
.spMenuOpen .humburger > span:before,
.spMenuOpen .humburger > span:after{
  margin-top: 0;
}
.spMenuOpen .humburger > span:before{
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}
.spMenuOpen .humburger > span:after{
  -webkit-transform: rotate(-135deg);
  transform: rotate(-135deg);
}

#mainContentsContainer{
	width: 100vw;	
}

footer{
	width: 90vw;
	margin-top: 60px;
	margin-bottom: 20px;
	margin-left: auto;
	margin-right: auto;
	position: relative;
}

footer > div > a{
	font-size: 10pt;
	color: #727171;
	position: relative;
	margin-right: 6px;
}

footer > div > a:not(:last-child):after{
	height: 20px;
	width: 1px;
	content: "";
	background-color: #727171;
	position: absolute;
	right: -10px;
}

footer > div:nth-child(2){
	display: none;
}

footer > div:last-child{
	font-size: 6pt;
	position: absolute;
	top: -16px;
	color: #727171;
}

footer > div > img{
	width: 15vw;
	margin: 1.5vw 0 1vw 0;
}

.forProgressIndicator{
  transition: opacity 200ms ease-in-out;
	position: relative;
}

.forProgressIndicator.sending > *:not(.progressIndicator){
  opacity: 0;
  transition: opacity 200ms ease-in-out;
}

.progressIndicator{
  display: none;
  position: fixed;
	left: calc(50vw - 65px);
	top: calc(50vh - 30px);
	width: 130px;
	text-align: center;
}

.forProgressIndicator.sending .progressIndicator{
  display: block;
}

.progressIndicator > div {
  width: 18px;
  height: 18px;
  border-radius: 100%;
  display: inline-block;
  -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
  animation: sk-bouncedelay 1.4s infinite ease-in-out both;
	margin: 0 10px;
}

.progressIndicator .bounce1 {
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
  background-color: rgb(0, 0, 191);
}

.progressIndicator .bounce2 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
  background-color: rgb(0, 0, 159);
}

.progressIndicator .bounce3{
  background-color: rgb(0, 0, 127);
}


@-webkit-keyframes sk-bouncedelay {
  0%, 80%, 100% { -webkit-transform: scale(0) }
  40% { -webkit-transform: scale(1.0) }
}

@keyframes sk-bouncedelay {
  0%, 80%, 100% { 
    -webkit-transform: scale(0);
    transform: scale(0);
  } 40% { 
    -webkit-transform: scale(1.0);
    transform: scale(1.0);
  }
}

#menu{
	position: fixed;
	overflow-y: scroll;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(0, 0, 0, 0.8);
	backdrop-filter: blur(10px);
	-webkit-backdrop-filter: blur(10px);
}

body.spMenuOpen header{
	background-color: transparent;
}

body:not(.spMenuOpen) #menu{
	display: none;
	opacity: 0;
	transition: opacity 600ms ease-in-out; 
}

#menu > ul{
	list-style: none;
	text-align: center;
	width: 100vw;
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
}

#menu > ul > li{
	margin: 5vw 0;
}
#menu > ul > li > a{
	font-size: calc(11pt + 1.1vw);
	color: white;
}

#mainContentsContainer > section:first-child{
	margin-top: 11.63vw;
}

/*
 *** COMMON EXPRESSIONS ***
 */

.titleWithImage{
	background-size: cover;	
	margin-top: 11.63vw;
	width: 100vw;
	height: 30vw;
	position: relative;
}

.titleWithImage > div{
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	display: flex;
	justify-content: center;
	align-items: center;
	width: 90%;
	left: 5%;
}

.titleWithImage > div > div:first-of-type{
	font-size: calc(10pt + 4vw);
	font-weight: 900;
	margin-right: 15px;
	transform: scale(1, 1.5);
	letter-spacing: 0.02em;
}

.titleWithImage > div > div:nth-of-type(2){
	font-size: calc(3pt + 1.5vw);
	letter-spacing: -0.1em;
	font-weight: bold;
	margin-top: 0.5vw;
}

.leadline > div:first-child > div{
	letter-spacing: -0.05em;
	font-size: calc(8pt + 2.6vw);
	font-weight: bold;
	text-align: center;
	width: 90%;
	margin: 20px auto 10px auto;
}

.leadline > div:first-child > p{
	line-height: 1.6;
	width: 90%;
	max-width: 800px;
	margin: 10px auto;
	text-align: justify;
	letter-spacing: -0.05em;
}

.leadline > img:nth-child(2){
	width: 50vw;
	max-width: 300px;
	margin: 4vw auto;
	display: block;
}

table{
	border-collapse: collapse;
	border: none;
	margin: 20px auto;
}

td, th{
	border-top: 1px solid #231815;
	border-bottom: 1px solid #231815;
	text-align: center;
}

th{
	padding: 10px 20px;
	font-size: 12pt;
}

td{
	padding: 5px 20px;
}

@media screen and (max-width: 450px){
	th, td{
		padding-left: 0.5vw;
		padding-right: 0.5vw;
	}
}

td:first-of-type, th:first-of-type{
	padding-left: 3vw;
}

td:last-of-type, th:last-of-type{
	padding-right: 3vw;
}

td:not(:last-of-type), th:not(:last-of-type){
	border-right: 1px solid #231815;
}

#mainContentsContainer > img{
	max-width: 90vw;
	margin: 5vw auto;
	display: block;
}

#mainContentsContainer > section.articleHeader{
	width: 90%;
	max-width: 1000px;
	margin-top: 20vw;
	margin-left: auto;
	margin-right: auto;
	border-top: 1px solid #898989;
	border-bottom: 1px solid #898989;
	padding: 1vw 0;
}

.articleHeader > div{
	font-size: calc(14pt + 1.4vw);
	color: #231815;
}

.articleBody{
	width: 90%;
	max-width: 1000px;
	margin-left: auto;
	margin-right: auto;
}

.articleBody *{
	font-size: calc(8pt + 0.8vw);
	color: #727171;	
}

.articleBody > p{
	margin: 5vw 0;
}

.articleBody > dl > dt{
	font-weight: bold;
}

.articleBody > div{
	font-size: calc(10pt + 1vw);
	border-top: 1px solid #898989;
	padding: 0.8vw 0;
	margin: 2vw 0;
}

.articleBody > ul{
	margin-left: 20px;
}

.articleBody > table,
.articleBody > table th,
.articleBody > table td{
	border: 1px solid #727171;
	padding-left: 2vw;
	padding-right: 2vw;
}

.articleBody > table th{
	width: 25%;
}

.icons{
	width: 80%;
	max-width: 1000px;
	margin: 5vw auto;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}

.icons > div{
	width: calc(50% - 40px);
	margin: 2vw 20px;
	max-width: 200px;
}

.icons > div > span,
.icons > div > img{
	display: block;
	width: 100%;
	text-align: center;
}

@media screen and (min-width: 769px){
	header{
		height: 4.5vw;
    padding-top: 1.5vw;
    padding-bottom: 0.8vw;
	}
	
	header > img{
		width: auto;
		height: 100%;
		margin-left: 3vw;
	}
	
	.humburger{
		display: none;
	}
		
	#menu, body:not(.spMenuOpen) #menu{
		height: 4vw;
    left: 29.1vw;
    width: 70.9vw;
		max-width: 1600px;
		margin: 0 auto;
		display: block;
    opacity: 1;
    background-color: transparent;
    backdrop-filter: none;
    padding-top: 1.5vw;
    padding-bottom: 0.8vw;
		z-index: 1;
		overflow-y: hidden;
	}
	
	#menu > ul{
		width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-around;
    position: relative;
	}
	
	#menu > ul > li{
		margin: 0;
		position: relative;
    width: 11%;
	}
	
	#menu > ul > li:first-child{
		width: 22%;
	}
	#menu > ul > li:nth-child(2){
		width: 12.5%;
	}
	#menu > ul > li:nth-child(5){
		width: 16%;
	}
	#menu > ul > li:nth-child(6){
		width: 14%;
	}

	#menu > ul > li > a{
    color: white;
    display: inline-block;
    text-align: center;
		position: absolute;
    bottom: -0.1vw;
    left: 0;
    right: 0;
    font-size: calc(4pt + 0.7vw);
		line-height: calc(4pt + 0.7vw);
    font-weight: bold;
    letter-spacing: -0.05em;
	}

	#mainContentsContainer > section:first-child{
		margin-top: 6.8vw;
	}
	
	#mainContentsContainer > section.articleHeader{
		margin-top: 11vw;
		display: flex;
		justify-content: space-between;
	}
	
	.articleHeader > div{
		font-size: 24pt;
	}

	.articleBody *{
		font-size: calc(10pt + 0.5vw);
	}

	.articleBody > p{
		margin-top: 2.5vw;
		margin-bottom: 2.5vw;
	}

	.articleBody > div{
		font-size: calc(8pt + 0.8vw);
		padding: 0.5vw 0;
		margin-top: 0.5vw;
		margin-bottom: 0.5vw;
	}

	.articleBody > ul{
		margin-left: 1.5em;
	}
	
	footer *{
		line-height: 1;
	}
	
	footer > ul {
		display: none;
	}
	
	footer > div:first-child{
		border-bottom: none;
	}
	
	footer > div{
		text-align: center;
	}
	
	footer > div > a{
		color: black;
	}
	
	footer > div:nth-child(2){
		display: block;
	}
	
	footer > div:last-child{
		position: static;
		color: black;
	}
	
	footer > div > a:not(:last-child):after{
		display: none;
	}
	
	.titleWithImage{
		margin-top: 10vh;
	}
	
	.leadline > div:first-child > div{
		font-size: calc(10pt + 1.4vw);
		margin-top: 3vw;
		margin-bottom: 3vw;
	}
	
	.leadline > div:first-child > div > br{
		display: none;
	}
	
	.leadline > div:first-child > p{
		font-size: calc(4pt + 1vw);
	}

	.leadline > div:first-child > p:first-of-type{
		margin-top: 3vw;
	}

	.leadline > div:first-child > p:last-of-type{
		margin-bottom: 5vw;
	}
	
	.titleWithImage > div > div:first-of-type{
		font-size: calc(15pt + 4.5vw);
	}
	
	.titleWithImage > div > div:nth-of-type(2){
		font-size: calc(6pt + 1.4vw);
    line-height: calc(10pt + 1.8vw);
    margin-top: -0.1vw;
    margin-left: 2vw;
	}
	
	td:first-of-type, th:first-of-type{
		padding-left: 50px;
	}
	
	td:last-of-type, th:last-of-type{
		padding-right: 50px;
	}
	
	td{
		font-size: calc(6pt + 1vw);
	}
	
	th{
		font-size: calc(7pt + 1.2vw);
	}
}

